within CAES_Eleves.BoundaryConditions;

model BoundaryMassFlowRate "Une condition aux limites de débit massique et température imposés."
  Connectors.FluidPort fluidPort annotation(
    Placement(visible = true, transformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
parameter SI.MassFlowRate qm_bc=1;
parameter SI.Temperature Tbc=293.15;
equation
fluidPort.m_flow=-qm_bc;// Notez le signe lié à la convention Modelica pour les flux
fluidPort.h_outflow=cp*Tbc;
annotation(
    Icon(graphics = {Ellipse(origin = {0.0887511, 0.672643}, extent = {{-80.6723, 79.7388}, {80.6723, -79.7388}}, endAngle = 360), Text(extent = {{-60, 20}, {60, -20}}, textString = "qm=%qm_bc")}));

annotation (Documentation(info="<html>
<p> La température est traduite en enthalpie par la loi : h = cp T, avec cp définie comme une constante du package.</p>
<p> Notez le signe négatif pour le débit massique lié à la convention Modelica pour un flux sortant.</p>
</html>"));

end BoundaryMassFlowRate;