within CAES_Eleves.BoundaryConditions;

model BoundaryPressure "Une condition aux limites de pression et température imposées."
  Connectors.FluidPort fluidPort annotation(
    Placement(visible = true, transformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
parameter SI.Pressure Pbc=1e5;
parameter SI.Temperature Tbc=293.15;
equation
fluidPort.p=Pbc;
fluidPort.h_outflow=cp*Tbc;
annotation(
    Icon(graphics = {Ellipse(origin = {0.0887511, 0.672643}, extent = {{-80.6723, 79.7388}, {80.6723, -79.7388}}, endAngle = 360), Text(extent = {{-60, 20}, {60, -20}}, textString = "P=%Pbc")}));

annotation (Documentation(info="<html>
<p> La température est traduite en enthalpie par la loi : h = cp T, avec cp définie comme une constante du package.</p>
</html>"));
end BoundaryPressure;