within CAES_Eleves.BoundaryConditions;

model PrescibredBoundaryMassFlowRate "Une condition aux limites de débit piloté par un input externe (et une température imposée)."
  Connectors.FluidPort fluidPort annotation(
    Placement(visible = true, transformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
parameter SI.Temperature Tbc=293.15;
  Modelica.Blocks.Interfaces.RealInput inputMassFlowRate annotation(
    Placement(visible = true, transformation(origin = {-68, 40}, extent = {{-20, -20}, {20, 20}}, rotation = 0), iconTransformation(origin = {-68, 40}, extent = {{-20, -20}, {20, 20}}, rotation = 0)));
equation
fluidPort.m_flow=-inputMassFlowRate;
fluidPort.h_outflow=cp*Tbc;
annotation(
    Icon(graphics = {Ellipse(origin = {0.0887511, 0.672643}, extent = {{-80.6723, 79.7388}, {80.6723, -79.7388}}, endAngle = 360), Text(extent = {{-60, -20}, {60, 20}}, textString = "qm=%qm_bc")}));
    
annotation(
    Documentation(info = "<html>
<p> La température est traduite en enthalpie par la loi : h = cp T, avec cp définie comme une constante du package.</p>
<p> On utilise un RealInput de la librairie standard Modelica.Blocks.Interfaces.</p>
</html>"));
    
end PrescibredBoundaryMassFlowRate;