within CAES_Eleves.Components;

model CombustionChamber "Modèle de chambre de combustion"

  // Les connecteurs: une entrée fluide, une sortie fluide, un débit de gaz
  Connectors.FluidPort inlet annotation(
    Placement(visible = true, transformation(origin = {-92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-88, -58}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Connectors.FluidPort outlet annotation(
    Placement(visible = true, transformation(origin = {92, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {92, -58}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Interfaces.RealInput qm_CH4 annotation(
    Placement(visible = true, transformation(origin = {-52, 88}, extent = {{-20, -20}, {20, 20}}, rotation = 0), iconTransformation(origin = {-48, 28}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
  // Les variables
  SI.MassFlowRate qm "Mass flow rate";
  SI.SpecificEnthalpy hin "Inlet enthalpy";
  SI.SpecificEnthalpy hout "Outlet enthalpy";    
  
  SI.Temperature Tin "Inlet temperature";    
  SI.Temperature Tout "Outlet temperature";
  SI.Power power "Power from CH4 combustion";

equation
  qm=inlet.m_flow;
  hin=inStream(inlet.h_outflow);
  outlet.h_outflow = hout;
  //Reverse flow equation
  inlet.h_outflow = inStream(outlet.h_outflow);
  //Pressure equilibrium
  inlet.p=outlet.p;
  //Mass balance equation
  inlet.m_flow+outlet.m_flow=0;

// --------------------------------------- //
//            DEBUT PARTIE A COMPLETER     //  
// --------------------------------------- //
  
//Relation entre enthalpie et température pour gaz parfait
  //Tin = ???;
  //Tout = ???;
//Relation puissance thermique apportée, débit de gaz et PCI
  //power=???;

//Energy balance equation  : qm . Delta h = Combustion_power
  // ??? = ???

// --------------------------------------- //
//            FIN   PARTIE A COMPLETER     //  
// --------------------------------------- //

annotation (Documentation(info="<html>
<p> on fournit un débit massique de CH4, l'air qui rentre ressort avec un surplus d'énergie égal au produit du PCI du méthane par le débit massique de CH4.</p>
<p><i>Vous devez compléter le bilan d'énergie.</i></p>
</html>"));
annotation(
    Icon(graphics = {Rectangle(origin = {2, -57.7868}, extent = {{-80, 40.2132}, {80, -40.2132}}), Polygon(origin = {-48, 10}, points = {{-10, 28}, {-10, -8}, {-24, -8}, {0, -28}, {24, -8}, {10, -8}, {10, 28}, {-10, 28}}), Text(origin = {-49, -4}, extent = {{-13, 18}, {13, -18}}, textString = "CH4"), Text(origin = {6, -58}, extent = {{-66, 20}, {66, -20}}, textString = "CC")}));
end CombustionChamber;