within CAES_Eleves.Components;

model TurbineSimple "Modèle de turbine calquée sur le compresseur simple"
  Connectors.FluidPort inlet annotation(
    Placement(visible = true, transformation(origin = {-90, 58}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-90, 30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Connectors.FluidPort outlet annotation(
    Placement(visible = true, transformation(origin = {92, -40}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, -70}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(
    Placement(visible = true, transformation(origin = {-88, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(
    Placement(visible = true, transformation(origin = {88, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));

  SI.Angle phi "shaft rotation angle";
  SI.Torque tau "net torque acting on the turbine";
  SI.AngularVelocity omega "shaft angular velocity";
  
  SI.MassFlowRate qm "Mass flow rate";
  SI.SpecificEnthalpy hin "Inlet enthalpy";
  SI.SpecificEnthalpy hout "Outlet enthalpy";    
  
  SI.Temperature Tin "Inlet temperature";    
  SI.Temperature Tout "Outlet temperature";    
  SI.Temperature Tis "isentropic Outlet temperature"; 
     
  SI.PerUnit PR;

parameter SI.PerUnit eta_is=0.8;

equation
//Definition différente du taux de détente pour une turbine
PR=inlet.p/outlet.p;
//Characteristic curve PR=f(qm)
PR=inlet.m_flow*100;
// --------------------------------------- //
//            DEBUT PARTIE A COMPLETER     //  
// --------------------------------------- //
  
// Inspirez-vous du compresseur simple

// --------------------------------------- //
//            FIN   PARTIE A COMPLETER     //  
// --------------------------------------- //


annotation(
    Icon(graphics = {Polygon(points = {{-80, 40}, {-80, -40}, {80, -80}, {80, 80}, {-80, 40}})}));
annotation (Documentation(info="<html>
<p> <i>Il y a des trous à compléter. Votre travail consiste à compléter ces lignes.</i> </p>
<p> On utilise un modèle de gaz parfait avec cp=cte, gamma=cte, déjà déclarés dans le package.</p>
</html>"));
end TurbineSimple;