within CAES_Eleves.Sensors;

model TemperatureSensor "Un capteur de température"
  Connectors.FluidPort fluidPort annotation(
    Placement(visible = true, transformation(origin = {0, -80}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {0, -80}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Interfaces.RealOutput Temperature annotation(
    Placement(visible = true, transformation(origin = {20, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-30, 82}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));

SI.SpecificEnthalpy hin;
equation
hin=inStream(fluidPort.h_outflow);
Temperature=hin/cp;// attention, cette valeur est en K
fluidPort.m_flow = 0 "Mass balance";
fluidPort.h_outflow = 0;

annotation(
    Documentation(info = "<html>
<p> Attention, la température lue est en Kelvins.</p>
</html>"),
    Icon(graphics = {Polygon(origin = {0, 10}, points = {{0, -90}, {-20, -70}, {-20, 90}, {20, 90}, {20, -70}, {0, -86}, {0, -90}})}));
end TemperatureSensor;