within CAES_Eleves.Tests;

model test_CombustionChamber_with_PID "A vous d'écrire la documentation"
  extends Modelica.Icons.Example;
  Components.CombustionChamber combustionChamber annotation(
    Placement(visible = true, transformation(origin = {-2, -16}, extent = {{-28, 28}, {28, -28}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryMassFlowRate boundaryMassFlowRate(qm_bc = 100)  annotation(
    Placement(visible = true, transformation(origin = {-69, -1}, extent = {{-35, -35}, {35, 35}}, rotation = 0)));
  CAES_Eleves.BoundaryConditions.BoundaryPressure boundaryPressure(Tbc = 393.15)  annotation(
    Placement(visible = true, transformation(origin = {65, -27}, extent = {{27, -27}, {-27, 27}}, rotation = 0)));
  CAES_Eleves.Sensors.TemperatureSensor temperartureSensor annotation(
    Placement(visible = true, transformation(origin = {28, 30}, extent = {{-16, -16}, {16, 16}}, rotation = 0)));
  Components.PID pid( CSmax = 2, CSmin = 0, Kp = 1, PVmax = 2000, PVmin = 293, Td = 0,Ti = 10, c = 0, holdWhenSimplified = true, steadyStateInit = true) annotation(
    Placement(visible = true, transformation(origin = {-18, 68}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Ramp ramp(duration = 100, height = 600, offset = 600, startTime = 100)  annotation(
    Placement(visible = true, transformation(origin = {-78, 72}, extent = {{-14, -14}, {14, 14}}, rotation = 0)));
equation
  connect(boundaryMassFlowRate.fluidPort, combustionChamber.inlet) annotation(
    Line(points = {{-37.5, -1}, {-37.5, 0}, {-27, 0}}));
  connect(combustionChamber.outlet, boundaryPressure.fluidPort) annotation(
    Line(points = {{24, 0}, {40.5, 0}, {40.5, -27}, {41, -27}}));
  connect(combustionChamber.outlet, temperartureSensor.fluidPort) annotation(
    Line(points = {{24, 0}, {27, 0}, {27, 17}, {28, 17}}));
  connect(pid.CS, combustionChamber.qm_CH4) annotation(
    Line(points = {{-8, 68}, {88, 68}, {88, -54}, {-16, -54}, {-16, -24}}, color = {0, 0, 127}));
  connect(temperartureSensor.Temperature, pid.PV) annotation(
    Line(points = {{23, 43}, {-56, 43}, {-56, 64}, {-28, 64}}, color = {0, 0, 127}));
  connect(ramp.y, pid.SP) annotation(
    Line(points = {{-63, 72}, {-28, 72}}, color = {0, 0, 127}));
annotation (Documentation(info="<html>
<p> Mais que simule-t-on donc ?</p>
</html>"));
end test_CombustionChamber_with_PID;